🎉 Portkey raises Series A - $15M to build AI that never breaks  Read announcement →
curl https://api.portkey.ai/v1/audio/speech \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "tts-1",
"input": "The quick brown fox jumped over the lazy dog.",
"voice": "alloy"
}' \
--output speech.mp3"<string>"curl https://api.portkey.ai/v1/audio/speech \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "tts-1",
"input": "The quick brown fox jumped over the lazy dog.",
"voice": "alloy"
}' \
--output speech.mp3"<string>"Documentation Index
Fetch the complete documentation index at: https://portkey-docs-log-export-guide-1773064217.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
One of the available TTS models: tts-1 or tts-1-hd
The text to generate audio for. The maximum length is 4096 characters.
4096The voice to use when generating the audio. Supported voices are alloy, echo, fable, onyx, nova, and shimmer. Previews of the voices are available in the Text to speech guide.
alloy, echo, fable, onyx, nova, shimmer The format to audio in. Supported formats are mp3, opus, aac, flac, wav, and pcm.
mp3, opus, aac, flac, wav, pcm The speed of the generated audio. Select a value from 0.25 to 4.0. 1.0 is the default.
0.25 <= x <= 4OK
The response is of type file.
Was this page helpful?